#pragma once
#include "levelmanager.hpp"
#include "textures.hpp"
#include <guecs/ui.hpp>

namespace gui {
  class MiniMapUI {
    public:
      guecs::Text $map_grid;
      guecs::UI $gui;
      GameLevel $level;
      shared_ptr<sf::Font> $font = nullptr;

      MiniMapUI(GameLevel &level);
      void init(guecs::UI& overlay);
      void render(sf::RenderWindow &window, int compass_dir);
      void update_level(GameLevel &level);
  };
}
